Bug 44775 - Re: net/p5-RPC-XML: p5-File-Spec should only be used if perl < 5.8
Summary: Re: net/p5-RPC-XML: p5-File-Spec should only be used if perl < 5.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alan Eldridge
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-31 08:20 UTC by Dominic Mitchell
Modified: 2005-10-26 05:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Mitchell 2002-10-31 08:20:01 UTC
 On Tue, Oct 29, 2002 at 08:48:31PM -0500, Alan Eldridge wrote:
 > >Submitter-Id:	current-users
 > >Originator:	Alan Eldridge
 > >Organization:	Geeksrus.NET
 > >Confidential:	no
 > >Synopsis:	net/p5-RPC-XML: p5-File-Spec should only be used if perl < 5.8
 > >Severity:	serious
 > >Priority:	high
 > >Category:	ports
 > >Class:		sw-bug
 > >Release:	FreeBSD 4.7-STABLE i386
 > >Environment:
 > 
 > System: FreeBSD wwweasel.geeksrus.net 4.7-STABLE FreeBSD 4.7-STABLE #2
 > Sat Oct 26 12:33:12 EDT 2002
 > root@wwweasel.geeksrus.net:/usr/obj/usr/src/sys/MY_SHITS_FUCKED_UP  i386
 > 
 > >Description:
 > 
 > p5-File-Spec should only be used if perl < 5.8
 
 Yup, totally agree.  Actually, it should be 5.6.1.  That contains
 File::Spec 0.82 as well.  I've just checked 5.6.0 and that only contains
 0.8.  Bleargh.  Sod it, we might as well just ask for 5.8.
 
 I've also upgraded the module to the latest version because of a
 security hole that was noticed the other day:
 
     http://use.perl.org/~rjray/journal/8676
 
 My diffs below, which include your changes.
 
 -Dom
 
 > >How-To-Repeat:
 > 
 > >Fix:
 > 
 > ==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==
 > Index: net/p5-RPC-XML/Makefile
 > ===================================================================
 > RCS file: /home/ncvs/ports/net/p5-RPC-XML/Makefile,v
 > retrieving revision 1.1
 > diff -u -3 -r1.1 Makefile
 > --- net/p5-RPC-XML/Makefile	20 Oct 2001 13:28:22 -0000	1.1
 > +++ net/p5-RPC-XML/Makefile	29 Oct 2002 09:25:42 -0000
 > @@ -14,8 +14,7 @@
 >  
 >  MAINTAINER=	dom@happygiraffe.net
 >  
 > -BUILD_DEPENDS=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/File/Spec.pm:${PORTSDIR}/devel/p5-File-Spec \
 > -		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-XML-Parser \
 > +BUILD_DEPENDS=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-XML-Parser \
 >  		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/LWP/UserAgent.pm:${PORTSDIR}/www/p5-libwww
 >  RUN_DEPENDS=	${BUILD_DEPENDS}
 >  
 > @@ -28,4 +27,15 @@
 >  		RPC::XML::Client.3 \
 >  		RPC::XML::Parser.3
 >  
 > -.include <bsd.port.mk>
 > +.include <bsd.port.pre.mk>
 > +
 > +SITE_PERL?=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}
 > +
 > +PERL_MAJOR=${PERL_VER:C|^([1-9]+).*|\1|}
 > +PERL_MINOR=${PERL_VER:C|^[1-9]+\.0*([1-9]+).*|\1|}
 > +
 > +.if ${PERL_MAJOR} < 5 || ${PERL_MAJOR} == 5 && ${PERL_MINOR} < 8
 > +BUILD_DEPENDS+=	${SITE_PERL}/File/Spec.pm:${PORTSDIR}/devel/p5-File-Spec
 > +.endif # ${PERL_MAJOR} < 5 || ${PERL_MAJOR} == 5 && ${PERL_MINOR} < 8
 > +
 > +.include <bsd.port.post.mk>
 > ==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==
 
 diff -urN /usr/ports/net/p5-RPC-XML/Makefile p5-RPC-XML/Makefile
 --- /usr/ports/net/p5-RPC-XML/Makefile	Sat Oct 20 14:28:22 2001
 +++ p5-RPC-XML/Makefile	Thu Oct 31 08:04:22 2002
 @@ -6,7 +6,7 @@
  #
  
  PORTNAME=	RPC-XML
 -PORTVERSION=	0.27
 +PORTVERSION=	0.45
  CATEGORIES=	net www perl5
  MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
  MASTER_SITE_SUBDIR=	RPC
 @@ -14,9 +14,9 @@
  
  MAINTAINER=	dom@happygiraffe.net
  
 -BUILD_DEPENDS=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/File/Spec.pm:${PORTSDIR}/devel/p5-File-Spec \
 -		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-XML-Parser \
 -		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/LWP/UserAgent.pm:${PORTSDIR}/www/p5-libwww
 +BUILD_DEPENDS=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/XML/Parser.pm:${PORTSDIR}/textproc/p5-XML-Parser \
 +		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/LWP/UserAgent.pm:${PORTSDIR}/www/p5-libwww \
 +		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/Net/Server.pm:${PORTSDIR}/net/p5-Net-Server
  RUN_DEPENDS=	${BUILD_DEPENDS}
  
  PERL_CONFIGURE=	yes
 @@ -26,6 +26,24 @@
  MAN3=		Apache::RPC::Server.3 \
  		RPC::XML.3 \
  		RPC::XML::Client.3 \
 -		RPC::XML::Parser.3
 +		RPC::XML::Function.3 \
 +		RPC::XML::Method.3 \
 +		RPC::XML::Parser.3 \
 +		RPC::XML::Procedure.3 \
 +		RPC::XML::Server.3
  
 -.include <bsd.port.mk>
 +.include <bsd.port.pre.mk>
 +
 +SITE_PERL?=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}
 +
 +PERL_MAJOR=${PERL_VER:C|^([1-9]+).*|\1|}
 +PERL_MINOR=${PERL_VER:C|^[1-9]+\.0*([1-9]+).*|\1|}
 +
 +.if ${PERL_MAJOR} < 5 || ${PERL_MAJOR} == 5 && ${PERL_MINOR} < 8
 +BUILD_DEPENDS+=	${SITE_PERL}/File/Spec.pm:${PORTSDIR}/devel/p5-File-Spec
 +.endif # ${PERL_MAJOR} < 5 || ${PERL_MAJOR} == 5 && ${PERL_MINOR} < 8
 +
 +test:
 +	cd ${WRKSRC} && ${MAKE} test
 +
 +.include <bsd.port.post.mk>
 diff -urN /usr/ports/net/p5-RPC-XML/distinfo p5-RPC-XML/distinfo
 --- /usr/ports/net/p5-RPC-XML/distinfo	Sat Oct 20 14:28:22 2001
 +++ p5-RPC-XML/distinfo	Thu Oct 31 07:43:22 2002
 @@ -1 +1 @@
 -MD5 (RPC-XML-0.27.tar.gz) = cac1ab883cb6d9e51065e23208baf9d4
 +MD5 (RPC-XML-0.45.tar.gz) = fcbfc210a4cc04589c26649cc73afb66
 diff -urN /usr/ports/net/p5-RPC-XML/pkg-descr p5-RPC-XML/pkg-descr
 --- /usr/ports/net/p5-RPC-XML/pkg-descr	Sat Oct 20 14:28:22 2001
 +++ p5-RPC-XML/pkg-descr	Thu Oct 31 07:53:16 2002
 @@ -4,3 +4,5 @@
  provides classes for sample client and server implementations, a
  server designed as an Apache location-handler, and a suite of
  data-manipulation classes that are used by them.
 +
 +WWW: http://search.cpan.org/author/RJRAY/RPC-XML-0.45/
 diff -urN /usr/ports/net/p5-RPC-XML/pkg-plist p5-RPC-XML/pkg-plist
 --- /usr/ports/net/p5-RPC-XML/pkg-plist	Sat Oct 20 14:28:22 2001
 +++ p5-RPC-XML/pkg-plist	Thu Oct 31 07:51:28 2002
 @@ -1,10 +1,14 @@
  bin/make_method
  lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/RPC/XML/.packlist
  lib/perl5/site_perl/%%PERL_VER%%/Apache/RPC/Server.pm
 +lib/perl5/site_perl/%%PERL_VER%%/Apache/RPC/Status.pm
  lib/perl5/site_perl/%%PERL_VER%%/Apache/RPC/status.xpl
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML.pm
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/Client.pm
 +lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/Function.pm
 +lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/Method.pm
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/Parser.pm
 +lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/Procedure.pm
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/Server.pm
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/identity.xpl
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/introspection.xpl
 @@ -13,20 +17,47 @@
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/methodSignature.xpl
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/multicall.xpl
  lib/perl5/site_perl/%%PERL_VER%%/RPC/XML/status.xpl
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Function/autosplit.ix
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Function/clone.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Function/is_valid.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Function/match_signature.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/add_signature.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/autosplit.ix
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/call.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/clone.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/delete_signature.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/is_valid.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/load_XPL_file.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/match_signature.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure/reload.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/add_default_methods.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/add_methods_in_dir.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/add_proc.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/add_procs_in_dir.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/autosplit.ix
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/call.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/copy_methods.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/copy_procs.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/delete_method.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/delete_proc.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/dispatch.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/get_method.al
 -lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/load_XPL_file.al
 -lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/method_to_ref.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/get_proc.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/list_methods.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/list_procs.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/method_from_file.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/post_configure_hook.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/pre_loop_hook.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/proc_from_file.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/process_request.al
  lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/server_loop.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/share_methods.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/share_procs.al
 +lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server/timeout.al
  @dirrm lib/perl5/site_perl/%%PERL_VER%%/Apache/RPC
  @dirrm lib/perl5/site_perl/%%PERL_VER%%/RPC/XML
 +@dirrm lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Function
 +@dirrm lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Procedure
  @dirrm lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML/Server
  @dirrm lib/perl5/site_perl/%%PERL_VER%%/auto/RPC/XML
  @dirrm lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/RPC/XML
Comment 1 Tom Hukins freebsd_committer 2002-10-31 10:08:25 UTC
Responsible Changed
From-To: gnats-admin->alane

Misfiled response to ports/44723
Comment 2 Alan Eldridge freebsd_committer 2002-11-23 17:51:49 UTC
State Changed
From-To: open->closed

committed due to maintainer timeout
http://www.freebsd.org/cgi/query-pr.cgi?pr=44775